cascading.flow

## Class FlowConnectorProps

- java.lang.Object
- - cascading.property.Props
  - - cascading.flow.FlowConnectorProps

    public class FlowConnectorProps
    extends Props

The class FlowConnectorProps is a fluent helper class for setting `FlowConnector` specific properties through the `FlowConnector` constructor.

See Also:
  `AppProps`, `CascadeProps`, `FlowProps`

### Field Summary

Fields
`static java.lang.String` `ASSERTION_LEVEL`
`static java.lang.String` `CHECKPOINT_TAP_DECORATOR_CLASS`
`static java.lang.String` `DEBUG_LEVEL`
`static java.lang.String` `ENABLE_DECORATE_ACCUMULATED_TAP`
`static java.lang.String` `INTERMEDIATE_SCHEME_CLASS`
`static java.lang.String` `TEMPORARY_TAP_DECORATOR_CLASS`

### Constructor Summary

Constructors
Constructor and Description
`FlowConnectorProps()`

### Method Summary

Methods
`protected void` `addPropertiesTo(java.util.Properties properties)`
`static FlowConnectorProps` `flowConnectorProps()` Creates a new FlowConnectorProps instance.
`AssertionLevel` `getAssertionLevel()`
`java.lang.String` `getCheckpointTapDecoratorClassName()`
`DebugLevel` `getDebugLevel()`
`java.lang.Boolean` `getEnableDecorateAccumulatedTap()`
`java.lang.String` `getIntermediateSchemeClassName()`
`java.lang.String` `getTemporaryTapDecoratorClassName()`
`FlowConnectorProps` `setAssertionLevel(AssertionLevel assertionLevel)` Method setAssertionLevel sets the target planner `AssertionLevel`.
`static void` `setAssertionLevel(java.util.Map<java.lang.Object,java.lang.Object> properties, AssertionLevel assertionLevel)` Method setAssertionLevel sets the target planner `AssertionLevel`.
`static void` `setCheckpointTapDecoratorClass(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String checkpointTapDecoratorClassName)` Method checkpointTapDecoratorClassName is used for wrapping a checkpoint Tap.
`FlowConnectorProps` `setCheckpointTapDecoratorClassName(java.lang.Class<DecoratorTap> checkpointTapDecoratorClass)` Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
`FlowConnectorProps` `setCheckpointTapDecoratorClassName(java.lang.String checkpointTapDecoratorClassName)` Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.
`FlowConnectorProps` `setDebugLevel(DebugLevel debugLevel)` Method setDebugLevel sets the target planner `DebugLevel`.
`static void` `setDebugLevel(java.util.Map<java.lang.Object,java.lang.Object> properties, DebugLevel debugLevel)` Method setDebugLevel sets the target planner `DebugLevel`.
`FlowConnectorProps` `setEnableDecorateAccumulatedTap(boolean enableDecorateAccumulatedTap)` Method setEnableDecorateAccumulatedTap, when set to `false`, disables the use of a DistCacheTap decorator implementation during planning.
`static void` `setIntermediateSchemeClass(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.Class<? extends Scheme> intermediateSchemeClass)` Method setIntermediateSchemeClass is used for debugging.
`static void` `setIntermediateSchemeClass(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String intermediateSchemeClassName)` Method setIntermediateSchemeClass is used for debugging.
`FlowConnectorProps` `setIntermediateSchemeClassName(java.lang.Class<Scheme> intermediateSchemeClass)` Method setIntermediateSchemeClassName is used for debugging.
`FlowConnectorProps` `setIntermediateSchemeClassName(java.lang.String intermediateSchemeClassName)` Method setIntermediateSchemeClassName is used for debugging.
`static void` `setTemporaryTapDecoratorClass(java.util.Map<java.lang.Object,java.lang.Object> properties, java.lang.String temporaryTapDecoratorClassName)` Method temporaryTapDecoratorClassName is used for wrapping a intermediate temporary Tap.
`FlowConnectorProps` `setTemporaryTapDecoratorClassName(java.lang.Class<DecoratorTap> temporaryTapDecoratorClass)` Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.
`FlowConnectorProps` `setTemporaryTapDecoratorClassName(java.lang.String temporaryTapDecoratorClassName)` Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.

### Methods inherited from class cascading.property.Props

`buildProperties, buildProperties, buildProperties, buildProperties, setProperties, setProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ASSERTION_LEVEL

    public static final java.lang.String ASSERTION_LEVEL

See Also:
  Constant Field Values

#### DEBUG_LEVEL

    public static final java.lang.String DEBUG_LEVEL

See Also:
  Constant Field Values

#### INTERMEDIATE_SCHEME_CLASS

    public static final java.lang.String INTERMEDIATE_SCHEME_CLASS

See Also:
  Constant Field Values

#### TEMPORARY_TAP_DECORATOR_CLASS

    public static final java.lang.String TEMPORARY_TAP_DECORATOR_CLASS

See Also:
  Constant Field Values

#### CHECKPOINT_TAP_DECORATOR_CLASS

    public static final java.lang.String CHECKPOINT_TAP_DECORATOR_CLASS

See Also:
  Constant Field Values

#### ENABLE_DECORATE_ACCUMULATED_TAP

    public static final java.lang.String ENABLE_DECORATE_ACCUMULATED_TAP

See Also:
  Constant Field Values

### Constructor Detail

#### FlowConnectorProps

    public FlowConnectorProps()

### Method Detail

#### setAssertionLevel

    public static void setAssertionLevel(java.util.Map<java.lang.Object,java.lang.Object> properties,
                         AssertionLevel assertionLevel)

Method setAssertionLevel sets the target planner `AssertionLevel`.

Parameters:
  `properties` - of type Map<Object, Object>
  `assertionLevel` - of type AssertionLevel

#### setDebugLevel

    public static void setDebugLevel(java.util.Map<java.lang.Object,java.lang.Object> properties,
                     DebugLevel debugLevel)

Method setDebugLevel sets the target planner `DebugLevel`.

Parameters:
  `properties` - of type Map<Object, Object>
  `debugLevel` - of type DebugLevel

#### setIntermediateSchemeClass

    public static void setIntermediateSchemeClass(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                  java.lang.Class<? extends Scheme> intermediateSchemeClass)

Method setIntermediateSchemeClass is used for debugging.

Parameters:
  `properties` - of type Map<Object, Object>
  `intermediateSchemeClass` - of type Class

#### setIntermediateSchemeClass

    public static void setIntermediateSchemeClass(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                  java.lang.String intermediateSchemeClassName)

Method setIntermediateSchemeClass is used for debugging.

Parameters:
  `properties` - of type Map<Object, Object>
  `intermediateSchemeClassName` - of type String

#### setTemporaryTapDecoratorClass

    public static void setTemporaryTapDecoratorClass(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                     java.lang.String temporaryTapDecoratorClassName)

Method temporaryTapDecoratorClassName is used for wrapping a intermediate temporary Tap.

Parameters:
  `properties` - of type Map<Object, Object>
  `temporaryTapDecoratorClassName` - of type String

#### setCheckpointTapDecoratorClass

    public static void setCheckpointTapDecoratorClass(java.util.Map<java.lang.Object,java.lang.Object> properties,
                                      java.lang.String checkpointTapDecoratorClassName)

Method checkpointTapDecoratorClassName is used for wrapping a checkpoint Tap.

Parameters:
  `properties` - of type Map<Object, Object>
  `checkpointTapDecoratorClassName` - of type String

#### flowConnectorProps

    public static FlowConnectorProps flowConnectorProps()

Creates a new FlowConnectorProps instance.

Returns:
  FlowConnectorProps instance

#### getAssertionLevel

    public AssertionLevel getAssertionLevel()

#### setAssertionLevel

    public FlowConnectorProps setAssertionLevel(AssertionLevel assertionLevel)

Method setAssertionLevel sets the target planner `AssertionLevel`.

Parameters:
  `assertionLevel` - of type AssertionLevel
Returns:
  this instance

#### getDebugLevel

    public DebugLevel getDebugLevel()

#### setDebugLevel

    public FlowConnectorProps setDebugLevel(DebugLevel debugLevel)

Method setDebugLevel sets the target planner `DebugLevel`.

Parameters:
  `debugLevel` - of type DebugLevel
Returns:
  this instance

#### getIntermediateSchemeClassName

    public java.lang.String getIntermediateSchemeClassName()

#### setIntermediateSchemeClassName

    public FlowConnectorProps setIntermediateSchemeClassName(java.lang.String intermediateSchemeClassName)

Method setIntermediateSchemeClassName is used for debugging.

Parameters:
  `intermediateSchemeClassName` - of type String
Returns:
  this instance

#### setIntermediateSchemeClassName

    public FlowConnectorProps setIntermediateSchemeClassName(java.lang.Class<Scheme> intermediateSchemeClass)

Method setIntermediateSchemeClassName is used for debugging.

Parameters:
  `intermediateSchemeClass` - of type Class
Returns:
  this instance

#### getTemporaryTapDecoratorClassName

    public java.lang.String getTemporaryTapDecoratorClassName()

#### setTemporaryTapDecoratorClassName

    public FlowConnectorProps setTemporaryTapDecoratorClassName(java.lang.String temporaryTapDecoratorClassName)

Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.

Parameters:
  `temporaryTapDecoratorClassName` - of type String
Returns:
  this instance

#### setTemporaryTapDecoratorClassName

    public FlowConnectorProps setTemporaryTapDecoratorClassName(java.lang.Class<DecoratorTap> temporaryTapDecoratorClass)

Method setTemporaryTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an intermediate temporary Tap instance internal to the Flow.

Parameters:
  `temporaryTapDecoratorClass` - of type Class
Returns:
  this instance

#### getCheckpointTapDecoratorClassName

    public java.lang.String getCheckpointTapDecoratorClassName()

#### setCheckpointTapDecoratorClassName

    public FlowConnectorProps setCheckpointTapDecoratorClassName(java.lang.String checkpointTapDecoratorClassName)

Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.

Parameters:
  `checkpointTapDecoratorClassName` - of type String
Returns:
  this instance

#### setCheckpointTapDecoratorClassName

    public FlowConnectorProps setCheckpointTapDecoratorClassName(java.lang.Class<DecoratorTap> checkpointTapDecoratorClass)

Method setCheckpointTapDecoratorClassName sets the class of a `DecoratorTap` to use to wrap an Checkpoint Tap instance within the Flow.

Parameters:
  `checkpointTapDecoratorClass` - of type Class
Returns:
  this instance

#### getEnableDecorateAccumulatedTap

    public java.lang.Boolean getEnableDecorateAccumulatedTap()

#### setEnableDecorateAccumulatedTap

    public FlowConnectorProps setEnableDecorateAccumulatedTap(boolean enableDecorateAccumulatedTap)

Method setEnableDecorateAccumulatedTap, when set to `false`, disables the use of a DistCacheTap decorator implementation during planning. It is enabled by default.

When enabled, any `Tap` instance declared or planned via the planner (intermediate Tap or binding a `Checkpoint` pipe to a tap -- when applicable) will be wrapped by a platform specific implementation of a Tap that allows for data reads from the platform provided distributed caches or similiar service, if any.

Parameters:
  `enableDecorateAccumulatedTap` - the enableDecorateAccumulatedTap of type boolean
Returns:
  FlowConnectorProps

#### addPropertiesTo

    protected void addPropertiesTo(java.util.Properties properties)

Specified by:
  `addPropertiesTo` in class `Props`